## ros-vcstool 0.3.0

=== Makefile ===
.PHONY: all setup clean_dist distro clean install

NAME=vcstool
VERSION=`./setup.py --version`

all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -rf deb_dist
	-rm -rf dist
	-rm -rf vcstool.egg-info

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

=== debian/changelog ===
ros-vcstool (0.3.0-2) unstable; urgency=medium

  * Install shell completions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 Mar 2022 22:00:28 +0100

ros-vcstool (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #804039)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Mar 2022 16:12:25 +0100

=== debian/control ===
Source: ros-vcstool
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools, python3-all, python3-yaml <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-vcstool
Vcs-Git: https://salsa.debian.org/science-team/ros-vcstool.git
Rules-Requires-Root: no
Homepage: https://github.com/dirk-thomas/vcstool

Package: vcstool
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Command line tool to make working with multiple repositories easier
 Vcstool is a version control system (VCS) tool, designed to make
 working with multiple repositories easier.  vcstool enables batch
 commands on multiple different vcs repositories. Currently it
 supports git, hg, svn and bzr.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/dirk-thomas/vcstool/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
